%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-Alien-curl
Version:       0.11
Release:       1mamba
Summary:       Alien::curl - Discover or download and install curl + libcurl
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.cpan.org
Source:        https://cpan.metacpan.org/authors/id/P/PL/PLICEASE/Alien-curl-%{version}.tar.gz
License:       GPL, Artistic
BuildArch:     noarch
## AUTOBUILDREQ-BEGIN
BuildRequires: perl-Alien-Build
BuildRequires: perl-devel
## AUTOBUILDREQ-END
BuildRequires: perl-Env-ShellWords
Requires:      perl >= %perl_major_ver

%description
Alien::curl - Discover or download and install curl + libcurl.

%prep
%setup -q -n Alien-curl-%{version}

%build
%{__perl} Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor OPTIMIZE="%{optflags}"

%make
%make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl

packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%{buildroot},,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm -f $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

#find %{buildroot} -name *.so -exec chmod u+w {} \;

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f .packlist
%defattr(-,root,root)
%doc LICENSE

%changelog
* Wed May 21 2025 Silvan Calarco <silvan.calarco@mambasoft.it> 0.11-1mamba
- package created using the webbuild interface
